Warehouse Chief Reed:
To qualify to become an Scavenger, your level must be at least 20 and you must pass the Test of the Scavenger.
However, even if you have earned the qualifications, I cannot change your profession. This is because only those who have experienced Human society and understand the great world beyond the Spine Mountains are qualified to change profession. Only then can you become a Dwarf empowered to control the world's economy.
To take the Test of the Scavenger, go to Collector Pippi in the Bronze Key Guild over there. She will tell you everything you need to know. If you earn the qualifications, go to the village of Gludin and meet Warehouse Chief Moke. He will change your profession to Scavenger if you have prepared yourself properly.
Return